package com.lanyuanxiaoyao.service.executor.task.functions.pulsar.event;

import com.lanyuanxiaoyao.service.executor.task.functions.pulsar.ReadPulsarSplit;
import java.util.List;
import org.apache.flink.api.connector.source.SourceEvent;
import org.eclipse.collections.api.list.ImmutableList;

/**
 * @author lanyuanxiaoyao
 */
public class AddEvent implements SourceEvent {
    private final List<ReadPulsarSplit> splits;

    public AddEvent(List<ReadPulsarSplit> splits) {
        this.splits = splits;
    }

    public List<ReadPulsarSplit> getSplits() {
        return splits;
    }

    @Override
    public String toString() {
        return "AddSplitEvent{" +
               "splits=" + splits +
               '}';
    }
}
